<html>
<head>
<title>Ogre::ParticleScriptCompiler Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html">ParticleScriptCompiler</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ParticleScriptCompiler Class Reference<div class="ingroups"><a class="el" href="group__Effects.html">Effects</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ParticleScriptCompiler" --><!-- doxytag: inherits="Ogre::ScriptCompiler" -->
<p><code>#include &lt;<a class="el" href="OgreParticleScriptCompiler_8h_source.html">OgreParticleScriptCompiler.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::ParticleScriptCompiler:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1ParticleScriptCompiler__inherit__graph.gif" border="0" usemap="#Ogre_1_1ParticleScriptCompiler_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1ParticleScriptCompiler_inherit__map" id="Ogre_1_1ParticleScriptCompiler_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler." alt="" coords="27,83,171,112"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="31,5,167,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1ParticleScriptCompiler-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <br/>
&#160;&#160;<a class="el" href="classOgre_1_1ScriptCompiler.html#a4e925a0168a8826983f692ac8500a8dea89ab109b8f76b6ca68f29d45909e389f">CE_STRINGEXPECTED</a>, 
<a class="el" href="classOgre_1_1ScriptCompiler.html#a4e925a0168a8826983f692ac8500a8dea2e4f7df594d799de5556673865033e79">CE_NUMBEREXPECTED</a>, 
<a class="el" href="classOgre_1_1ScriptCompiler.html#a4e925a0168a8826983f692ac8500a8dea160884efd577a31a256a32fc082ee8d4">CE_FEWERPARAMETERSEXPECTED</a>, 
<a class="el" href="classOgre_1_1ScriptCompiler.html#a4e925a0168a8826983f692ac8500a8dea6bb3f2538a80ffcd4cba9a20bb455ca8">CE_VARIABLEEXPECTED</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1ScriptCompiler.html#a4e925a0168a8826983f692ac8500a8dea96840bdc7963db549d8cd8ca995e3c0a">CE_UNDEFINEDVARIABLE</a>, 
<a class="el" href="classOgre_1_1ScriptCompiler.html#a4e925a0168a8826983f692ac8500a8deacd8b5d2a887a796061c8b58a4e02fe25">CE_OBJECTNAMEEXPECTED</a>, 
<a class="el" href="classOgre_1_1ScriptCompiler.html#a4e925a0168a8826983f692ac8500a8deae674b2715ad864c9bd8c7902761d0478">CE_OBJECTALLOCATIONERROR</a>, 
<a class="el" href="classOgre_1_1ScriptCompiler.html#a4e925a0168a8826983f692ac8500a8dea6f1a0de01da9a7e87631b477b81f76b8">CE_INVALIDPARAMETERS</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1ScriptCompiler.html#a4e925a0168a8826983f692ac8500a8dea0785658f79556b5d9928f9bd89c45ce3">CE_DUPLICATEOVERRIDE</a>, 
<a class="el" href="classOgre_1_1ScriptCompiler.html#a4e925a0168a8826983f692ac8500a8dea462fc61cb347d12d68c76e68bee4bcb3">CE_UNEXPECTEDTOKEN</a>, 
<a class="el" href="classOgre_1_1ScriptCompiler.html#a4e925a0168a8826983f692ac8500a8dea05f81aede93e610a21c34b789200e258">CE_OBJECTBASENOTFOUND</a>, 
<a class="el" href="classOgre_1_1ScriptCompiler.html#a4e925a0168a8826983f692ac8500a8deab872155e7c9c8480873c654dcedaa28d">CE_UNSUPPORTEDBYRENDERSYSTEM</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1ScriptCompiler.html#a4e925a0168a8826983f692ac8500a8dea2b742a700e47dd9bed23212141c0a21e">CE_REFERENCETOANONEXISTINGOBJECT</a>
<br/>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <br/>
&#160;&#160;<a class="el" href="classOgre_1_1ScriptCompiler.html#a1e370a3943822108fb41ce2550fadf85ab93e01a815120a7094cbe02e18d13f9d">ID_ON</a> =  1, 
<a class="el" href="classOgre_1_1ScriptCompiler.html#a1e370a3943822108fb41ce2550fadf85a4ed4865f8a794faf190dc57e84d4d98a">ID_OFF</a> =  2, 
<a class="el" href="classOgre_1_1ScriptCompiler.html#a1e370a3943822108fb41ce2550fadf85a5cb676b2ce52de4f484dd3c6e3b77623">ID_TRUE</a> =  1, 
<a class="el" href="classOgre_1_1ScriptCompiler.html#a1e370a3943822108fb41ce2550fadf85af52e8eaaeefd522a78f411155a0ab75b">ID_FALSE</a> =  2, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1ScriptCompiler.html#a1e370a3943822108fb41ce2550fadf85a63e1fe432e01b132e5004502f086f51b">ID_YES</a> =  1, 
<a class="el" href="classOgre_1_1ScriptCompiler.html#a1e370a3943822108fb41ce2550fadf85aa3f704b2cddd8ef885a7f7004d53ecaf">ID_NO</a> =  2
<br/>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="OgrePrerequisites_8h.html#aa3cf5d1d0401f71e90c8684179eb9bf2">HashMap</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler.html#a531409453a40d14d982bb5d054153edb">IdMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="structOgre_1_1ScriptCompiler_1_1Error.html">Error</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler.html#a9bdb03769614f51602e845c7cba1a64c">ErrorPtr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1list.html">list</a>&lt; <a class="el" href="classOgre_1_1ScriptCompiler.html#a9bdb03769614f51602e845c7cba1a64c">ErrorPtr</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler.html#ab81a3bd9b3bf2b3c9c8b56dddd265c7b">ErrorList</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html#aed66d1f1e9c324ec266b345a6211199d">ParticleScriptCompiler</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html#ab81d2b58626fa9606572cb4ae3e588c6">setListener</a> (<a class="el" href="classOgre_1_1ParticleScriptCompilerListener.html">ParticleScriptCompilerListener</a> *listener)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the listener for this compiler.  <a href="#ab81d2b58626fa9606572cb4ae3e588c6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html#aaea9cdaaebe94a87235b3b5249e4e1db">getParticleSystem</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the particle system currently being compiled.  <a href="#aaea9cdaaebe94a87235b3b5249e4e1db"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler.html#ab2bff7a6427fde76c9cf9137d4eaeac5">compile</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;str, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;source, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;group)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Takes in a string of script code and compiles it into resources.  <a href="#ab2bff7a6427fde76c9cf9137d4eaeac5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler.html#a3f68dccf295d809da7b12f2583f16504">compile</a> (const <a class="el" href="group__General.html#ga9d11953f4cfbc8a1e225b910d881dc36">ConcreteNodeListPtr</a> &amp;nodes, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;group)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Compiles resources from the given concrete node list.  <a href="#a3f68dccf295d809da7b12f2583f16504"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gad207f4cd0b8599200e52d366fe61f069">AbstractNodeListPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler.html#ab7387bde2ebbc8623b9ec8554a130552">_generateAST</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;str, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;source, bool doImports=false, bool doObjects=false, bool doVariables=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Generates the AST from the given string script.  <a href="#ab7387bde2ebbc8623b9ec8554a130552"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler.html#a0fb27db0a80a4243e9376702e402f469">_compile</a> (<a class="el" href="group__General.html#gad207f4cd0b8599200e52d366fe61f069">AbstractNodeListPtr</a> nodes, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;group, bool doImports=true, bool doObjects=true, bool doVariables=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Compiles the given abstract syntax tree.  <a href="#a0fb27db0a80a4243e9376702e402f469"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler.html#a4b2fd2d22e4e0cd7874aa93263618d5f">addError</a> (<a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> code, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;file, int line, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;msg=&quot;&quot;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds the given error to the compiler's list of errors.  <a href="#a4b2fd2d22e4e0cd7874aa93263618d5f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler.html#ad3e0810f50a23557927a3e61c6c4341f">setListener</a> (<a class="el" href="classOgre_1_1ScriptCompilerListener.html">ScriptCompilerListener</a> *listener)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the listener used by the compiler.  <a href="#ad3e0810f50a23557927a3e61c6c4341f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ScriptCompilerListener.html">ScriptCompilerListener</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler.html#af4b29944fbe75bafde74bbdf7a66af83">getListener</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the currently set listener.  <a href="#af4b29944fbe75bafde74bbdf7a66af83"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler.html#ab5e8d7c0f4978384d025a1ad2d6892d3">getResourceGroup</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the resource group currently set for this compiler.  <a href="#ab5e8d7c0f4978384d025a1ad2d6892d3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler.html#aebe5a46d37653492408e1dbd7b6be4b5">addNameExclusion</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;type)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a name exclusion to the map.  <a href="#aebe5a46d37653492408e1dbd7b6be4b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler.html#ae47640d446f9e2efc0a7b91454df810f">removeNameExclusion</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;type)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes a name exclusion.  <a href="#ae47640d446f9e2efc0a7b91454df810f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler.html#a7fb900872c1c8e6a114b742f5d74438b">_fireEvent</a> (<a class="el" href="classOgre_1_1ScriptCompilerEvent.html">ScriptCompilerEvent</a> *evt, void *retval)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for firing the handleEvent method.  <a href="#a7fb900872c1c8e6a114b742f5d74438b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler.html#a5bfebc6051cf6b32abe9c8a040dfc3a4">formatErrorCode</a> (<a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> code)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html#ad4773d6db299dbe71fb1a82e9d889b87">compileImpl</a> (ScriptNodeListPtr nodes)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This begins the compilation of the particle system from the final transformed AST.  <a href="#ad4773d6db299dbe71fb1a82e9d889b87"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html#a3479f768a79fc00e21f7c9a0631cb53e">processNode</a> (ScriptNodeList::iterator &amp;i, ScriptNodeList::iterator &amp;end)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delegates to the listener if it can, otherwise returns false. If it returns true, then some input was consumed.  <a href="#a3479f768a79fc00e21f7c9a0631cb53e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">ScriptNodeListPtr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html#ac2543cd9540a46055f55357b936cbbcd">loadImportPath</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the override for loading imports.  <a href="#ac2543cd9540a46055f55357b936cbbcd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html#a88544798bb6d76606494881cabdfa8aa">preParse</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Allows a listener to override the word id map before parsing.  <a href="#a88544798bb6d76606494881cabdfa8aa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html#a2ed6d1e8fda61c0be9f4d0e2371c8e06">errorRaised</a> (const ScriptCompilerErrorPtr &amp;error)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Allows a listener to override error handling in the compiler.  <a href="#a2ed6d1e8fda61c0be9f4d0e2371c8e06"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html#a1a6c5967d95c137c842f37c567f32003">compileParticleSystem</a> (const ScriptNodePtr &amp;node)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html#a6247eef6b73c3a96693c94bc657c0691">compileEmitter</a> (const ScriptNodePtr &amp;node)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html#aac9b28f1dc7ab8a8586d232ad6350989">compileAffector</a> (const ScriptNodePtr &amp;node)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html#af1ae63f98535e38e4b54f773c57b5d8c">getParameterValue</a> (ScriptNodeList::iterator &amp;i, ScriptNodeList::iterator &amp;end)</td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ParticleScriptCompilerListener.html">ParticleScriptCompilerListener</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html#a41ab468ae9def347e43908e86477f5a8">mListener</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html#ab89013d118e6cb745de0e4431a41eeb7">mSystem</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreParticleScriptCompiler_8h_source.html#l00056">56</a> of file <a class="el" href="OgreParticleScriptCompiler_8h_source.html">OgreParticleScriptCompiler.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="ab81a3bd9b3bf2b3c9c8b56dddd265c7b"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::ErrorList" ref="ab81a3bd9b3bf2b3c9c8b56dddd265c7b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1list.html">list</a>&lt;<a class="el" href="classOgre_1_1ScriptCompiler.html#a9bdb03769614f51602e845c7cba1a64c">ErrorPtr</a>&gt;::type <a class="el" href="classOgre_1_1ScriptCompiler.html#ab81a3bd9b3bf2b3c9c8b56dddd265c7b">Ogre::ScriptCompiler::ErrorList</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00201">201</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9bdb03769614f51602e845c7cba1a64c"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::ErrorPtr" ref="a9bdb03769614f51602e845c7cba1a64c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt;<a class="el" href="structOgre_1_1ScriptCompiler_1_1Error.html">Error</a>&gt; <a class="el" href="classOgre_1_1ScriptCompiler.html#a9bdb03769614f51602e845c7cba1a64c">Ogre::ScriptCompiler::ErrorPtr</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00200">200</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a531409453a40d14d982bb5d054153edb"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::IdMap" ref="a531409453a40d14d982bb5d054153edb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="OgrePrerequisites_8h.html#aa3cf5d1d0401f71e90c8684179eb9bf2">HashMap</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&gt; <a class="el" href="classOgre_1_1ScriptCompiler.html#a531409453a40d14d982bb5d054153edb">Ogre::ScriptCompiler::IdMap</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00191">191</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a1e370a3943822108fb41ce2550fadf85"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::@10" ref="a1e370a3943822108fb41ce2550fadf85" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">anonymous enum<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a1e370a3943822108fb41ce2550fadf85ab93e01a815120a7094cbe02e18d13f9d"></a><!-- doxytag: member="ID_ON" ref="a1e370a3943822108fb41ce2550fadf85ab93e01a815120a7094cbe02e18d13f9d" args="" -->ID_ON</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a1e370a3943822108fb41ce2550fadf85a4ed4865f8a794faf190dc57e84d4d98a"></a><!-- doxytag: member="ID_OFF" ref="a1e370a3943822108fb41ce2550fadf85a4ed4865f8a794faf190dc57e84d4d98a" args="" -->ID_OFF</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a1e370a3943822108fb41ce2550fadf85a5cb676b2ce52de4f484dd3c6e3b77623"></a><!-- doxytag: member="ID_TRUE" ref="a1e370a3943822108fb41ce2550fadf85a5cb676b2ce52de4f484dd3c6e3b77623" args="" -->ID_TRUE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a1e370a3943822108fb41ce2550fadf85af52e8eaaeefd522a78f411155a0ab75b"></a><!-- doxytag: member="ID_FALSE" ref="a1e370a3943822108fb41ce2550fadf85af52e8eaaeefd522a78f411155a0ab75b" args="" -->ID_FALSE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a1e370a3943822108fb41ce2550fadf85a63e1fe432e01b132e5004502f086f51b"></a><!-- doxytag: member="ID_YES" ref="a1e370a3943822108fb41ce2550fadf85a63e1fe432e01b132e5004502f086f51b" args="" -->ID_YES</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a1e370a3943822108fb41ce2550fadf85aa3f704b2cddd8ef885a7f7004d53ecaf"></a><!-- doxytag: member="ID_NO" ref="a1e370a3943822108fb41ce2550fadf85aa3f704b2cddd8ef885a7f7004d53ecaf" args="" -->ID_NO</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00312">312</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4e925a0168a8826983f692ac8500a8de"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::@9" ref="a4e925a0168a8826983f692ac8500a8de" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">anonymous enum<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a4e925a0168a8826983f692ac8500a8dea89ab109b8f76b6ca68f29d45909e389f"></a><!-- doxytag: member="CE_STRINGEXPECTED" ref="a4e925a0168a8826983f692ac8500a8dea89ab109b8f76b6ca68f29d45909e389f" args="" -->CE_STRINGEXPECTED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4e925a0168a8826983f692ac8500a8dea2e4f7df594d799de5556673865033e79"></a><!-- doxytag: member="CE_NUMBEREXPECTED" ref="a4e925a0168a8826983f692ac8500a8dea2e4f7df594d799de5556673865033e79" args="" -->CE_NUMBEREXPECTED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4e925a0168a8826983f692ac8500a8dea160884efd577a31a256a32fc082ee8d4"></a><!-- doxytag: member="CE_FEWERPARAMETERSEXPECTED" ref="a4e925a0168a8826983f692ac8500a8dea160884efd577a31a256a32fc082ee8d4" args="" -->CE_FEWERPARAMETERSEXPECTED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4e925a0168a8826983f692ac8500a8dea6bb3f2538a80ffcd4cba9a20bb455ca8"></a><!-- doxytag: member="CE_VARIABLEEXPECTED" ref="a4e925a0168a8826983f692ac8500a8dea6bb3f2538a80ffcd4cba9a20bb455ca8" args="" -->CE_VARIABLEEXPECTED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4e925a0168a8826983f692ac8500a8dea96840bdc7963db549d8cd8ca995e3c0a"></a><!-- doxytag: member="CE_UNDEFINEDVARIABLE" ref="a4e925a0168a8826983f692ac8500a8dea96840bdc7963db549d8cd8ca995e3c0a" args="" -->CE_UNDEFINEDVARIABLE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4e925a0168a8826983f692ac8500a8deacd8b5d2a887a796061c8b58a4e02fe25"></a><!-- doxytag: member="CE_OBJECTNAMEEXPECTED" ref="a4e925a0168a8826983f692ac8500a8deacd8b5d2a887a796061c8b58a4e02fe25" args="" -->CE_OBJECTNAMEEXPECTED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4e925a0168a8826983f692ac8500a8deae674b2715ad864c9bd8c7902761d0478"></a><!-- doxytag: member="CE_OBJECTALLOCATIONERROR" ref="a4e925a0168a8826983f692ac8500a8deae674b2715ad864c9bd8c7902761d0478" args="" -->CE_OBJECTALLOCATIONERROR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4e925a0168a8826983f692ac8500a8dea6f1a0de01da9a7e87631b477b81f76b8"></a><!-- doxytag: member="CE_INVALIDPARAMETERS" ref="a4e925a0168a8826983f692ac8500a8dea6f1a0de01da9a7e87631b477b81f76b8" args="" -->CE_INVALIDPARAMETERS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4e925a0168a8826983f692ac8500a8dea0785658f79556b5d9928f9bd89c45ce3"></a><!-- doxytag: member="CE_DUPLICATEOVERRIDE" ref="a4e925a0168a8826983f692ac8500a8dea0785658f79556b5d9928f9bd89c45ce3" args="" -->CE_DUPLICATEOVERRIDE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4e925a0168a8826983f692ac8500a8dea462fc61cb347d12d68c76e68bee4bcb3"></a><!-- doxytag: member="CE_UNEXPECTEDTOKEN" ref="a4e925a0168a8826983f692ac8500a8dea462fc61cb347d12d68c76e68bee4bcb3" args="" -->CE_UNEXPECTEDTOKEN</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4e925a0168a8826983f692ac8500a8dea05f81aede93e610a21c34b789200e258"></a><!-- doxytag: member="CE_OBJECTBASENOTFOUND" ref="a4e925a0168a8826983f692ac8500a8dea05f81aede93e610a21c34b789200e258" args="" -->CE_OBJECTBASENOTFOUND</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4e925a0168a8826983f692ac8500a8deab872155e7c9c8480873c654dcedaa28d"></a><!-- doxytag: member="CE_UNSUPPORTEDBYRENDERSYSTEM" ref="a4e925a0168a8826983f692ac8500a8deab872155e7c9c8480873c654dcedaa28d" args="" -->CE_UNSUPPORTEDBYRENDERSYSTEM</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a4e925a0168a8826983f692ac8500a8dea2b742a700e47dd9bed23212141c0a21e"></a><!-- doxytag: member="CE_REFERENCETOANONEXISTINGOBJECT" ref="a4e925a0168a8826983f692ac8500a8dea2b742a700e47dd9bed23212141c0a21e" args="" -->CE_REFERENCETOANONEXISTINGOBJECT</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00204">204</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aed66d1f1e9c324ec266b345a6211199d"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::ParticleScriptCompiler" ref="aed66d1f1e9c324ec266b345a6211199d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html#aed66d1f1e9c324ec266b345a6211199d">Ogre::ParticleScriptCompiler::ParticleScriptCompiler</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a0fb27db0a80a4243e9376702e402f469"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::_compile" ref="a0fb27db0a80a4243e9376702e402f469" args="(AbstractNodeListPtr nodes, const String &amp;group, bool doImports=true, bool doObjects=true, bool doVariables=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ScriptCompiler.html#a0fb27db0a80a4243e9376702e402f469">Ogre::ScriptCompiler::_compile</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#gad207f4cd0b8599200e52d366fe61f069">AbstractNodeListPtr</a>&#160;</td>
          <td class="paramname"><em>nodes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>doImports</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>doObjects</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>doVariables</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Compiles the given abstract syntax tree. </p>

</div>
</div>
<a class="anchor" id="a7fb900872c1c8e6a114b742f5d74438b"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::_fireEvent" ref="a7fb900872c1c8e6a114b742f5d74438b" args="(ScriptCompilerEvent *evt, void *retval)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ScriptCompiler.html#a7fb900872c1c8e6a114b742f5d74438b">Ogre::ScriptCompiler::_fireEvent</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ScriptCompilerEvent.html">ScriptCompilerEvent</a> *&#160;</td>
          <td class="paramname"><em>evt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>retval</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for firing the handleEvent method. </p>

</div>
</div>
<a class="anchor" id="ab7387bde2ebbc8623b9ec8554a130552"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::_generateAST" ref="ab7387bde2ebbc8623b9ec8554a130552" args="(const String &amp;str, const String &amp;source, bool doImports=false, bool doObjects=false, bool doVariables=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gad207f4cd0b8599200e52d366fe61f069">AbstractNodeListPtr</a> <a class="el" href="classOgre_1_1ScriptCompiler.html#ab7387bde2ebbc8623b9ec8554a130552">Ogre::ScriptCompiler::_generateAST</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>doImports</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>doObjects</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>doVariables</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Generates the AST from the given string script. </p>

</div>
</div>
<a class="anchor" id="a4b2fd2d22e4e0cd7874aa93263618d5f"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::addError" ref="a4b2fd2d22e4e0cd7874aa93263618d5f" args="(uint32 code, const String &amp;file, int line, const String &amp;msg=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ScriptCompiler.html#a4b2fd2d22e4e0cd7874aa93263618d5f">Ogre::ScriptCompiler::addError</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>msg</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds the given error to the compiler's list of errors. </p>

</div>
</div>
<a class="anchor" id="aebe5a46d37653492408e1dbd7b6be4b5"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::addNameExclusion" ref="aebe5a46d37653492408e1dbd7b6be4b5" args="(const String &amp;type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ScriptCompiler.html#aebe5a46d37653492408e1dbd7b6be4b5">Ogre::ScriptCompiler::addNameExclusion</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds a name exclusion to the map. </p>
<p>Name exclusions identify object types which cannot accept names. This means that excluded types will always have empty names. All values in the object header are stored as object values. </p>

</div>
</div>
<a class="anchor" id="ab2bff7a6427fde76c9cf9137d4eaeac5"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::compile" ref="ab2bff7a6427fde76c9cf9137d4eaeac5" args="(const String &amp;str, const String &amp;source, const String &amp;group)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ScriptCompiler.html#ab2bff7a6427fde76c9cf9137d4eaeac5">Ogre::ScriptCompiler::compile</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>group</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Takes in a string of script code and compiles it into resources. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">str</td><td>The script code </td></tr>
    <tr><td class="paramname">source</td><td>The source of the script code (e.g. a script file) </td></tr>
    <tr><td class="paramname">group</td><td>The resource group to place the compiled resources into </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3f68dccf295d809da7b12f2583f16504"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::compile" ref="a3f68dccf295d809da7b12f2583f16504" args="(const ConcreteNodeListPtr &amp;nodes, const String &amp;group)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ScriptCompiler.html#ab2bff7a6427fde76c9cf9137d4eaeac5">Ogre::ScriptCompiler::compile</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga9d11953f4cfbc8a1e225b910d881dc36">ConcreteNodeListPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>nodes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>group</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Compiles resources from the given concrete node list. </p>

</div>
</div>
<a class="anchor" id="aac9b28f1dc7ab8a8586d232ad6350989"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::compileAffector" ref="aac9b28f1dc7ab8a8586d232ad6350989" args="(const ScriptNodePtr &amp;node)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ParticleScriptCompiler.html#aac9b28f1dc7ab8a8586d232ad6350989">Ogre::ParticleScriptCompiler::compileAffector</a> </td>
          <td>(</td>
          <td class="paramtype">const ScriptNodePtr &amp;&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a6247eef6b73c3a96693c94bc657c0691"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::compileEmitter" ref="a6247eef6b73c3a96693c94bc657c0691" args="(const ScriptNodePtr &amp;node)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ParticleScriptCompiler.html#a6247eef6b73c3a96693c94bc657c0691">Ogre::ParticleScriptCompiler::compileEmitter</a> </td>
          <td>(</td>
          <td class="paramtype">const ScriptNodePtr &amp;&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad4773d6db299dbe71fb1a82e9d889b87"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::compileImpl" ref="ad4773d6db299dbe71fb1a82e9d889b87" args="(ScriptNodeListPtr nodes)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ParticleScriptCompiler.html#ad4773d6db299dbe71fb1a82e9d889b87">Ogre::ParticleScriptCompiler::compileImpl</a> </td>
          <td>(</td>
          <td class="paramtype">ScriptNodeListPtr&#160;</td>
          <td class="paramname"><em>nodes</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This begins the compilation of the particle system from the final transformed AST. </p>

</div>
</div>
<a class="anchor" id="a1a6c5967d95c137c842f37c567f32003"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::compileParticleSystem" ref="a1a6c5967d95c137c842f37c567f32003" args="(const ScriptNodePtr &amp;node)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ParticleScriptCompiler.html#a1a6c5967d95c137c842f37c567f32003">Ogre::ParticleScriptCompiler::compileParticleSystem</a> </td>
          <td>(</td>
          <td class="paramtype">const ScriptNodePtr &amp;&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2ed6d1e8fda61c0be9f4d0e2371c8e06"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::errorRaised" ref="a2ed6d1e8fda61c0be9f4d0e2371c8e06" args="(const ScriptCompilerErrorPtr &amp;error)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ParticleScriptCompiler.html#a2ed6d1e8fda61c0be9f4d0e2371c8e06">Ogre::ParticleScriptCompiler::errorRaised</a> </td>
          <td>(</td>
          <td class="paramtype">const ScriptCompilerErrorPtr &amp;&#160;</td>
          <td class="paramname"><em>error</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Allows a listener to override error handling in the compiler. </p>

</div>
</div>
<a class="anchor" id="a5bfebc6051cf6b32abe9c8a040dfc3a4"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::formatErrorCode" ref="a5bfebc6051cf6b32abe9c8a040dfc3a4" args="(uint32 code)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ScriptCompiler.html#a5bfebc6051cf6b32abe9c8a040dfc3a4">Ogre::ScriptCompiler::formatErrorCode</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td>
          <td class="paramname"><em>code</em></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af4b29944fbe75bafde74bbdf7a66af83"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::getListener" ref="af4b29944fbe75bafde74bbdf7a66af83" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ScriptCompilerListener.html">ScriptCompilerListener</a>* <a class="el" href="classOgre_1_1ScriptCompiler.html#af4b29944fbe75bafde74bbdf7a66af83">Ogre::ScriptCompiler::getListener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the currently set listener. </p>

</div>
</div>
<a class="anchor" id="af1ae63f98535e38e4b54f773c57b5d8c"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::getParameterValue" ref="af1ae63f98535e38e4b54f773c57b5d8c" args="(ScriptNodeList::iterator &amp;i, ScriptNodeList::iterator &amp;end)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ParticleScriptCompiler.html#af1ae63f98535e38e4b54f773c57b5d8c">Ogre::ParticleScriptCompiler::getParameterValue</a> </td>
          <td>(</td>
          <td class="paramtype">ScriptNodeList::iterator &amp;&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ScriptNodeList::iterator &amp;&#160;</td>
          <td class="paramname"><em>end</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aaea9cdaaebe94a87235b3b5249e4e1db"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::getParticleSystem" ref="aaea9cdaaebe94a87235b3b5249e4e1db" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a>* <a class="el" href="classOgre_1_1ParticleScriptCompiler.html#aaea9cdaaebe94a87235b3b5249e4e1db">Ogre::ParticleScriptCompiler::getParticleSystem</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the particle system currently being compiled. </p>

</div>
</div>
<a class="anchor" id="ab5e8d7c0f4978384d025a1ad2d6892d3"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::getResourceGroup" ref="ab5e8d7c0f4978384d025a1ad2d6892d3" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1ScriptCompiler.html#ab5e8d7c0f4978384d025a1ad2d6892d3">Ogre::ScriptCompiler::getResourceGroup</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the resource group currently set for this compiler. </p>

</div>
</div>
<a class="anchor" id="ac2543cd9540a46055f55357b936cbbcd"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::loadImportPath" ref="ac2543cd9540a46055f55357b936cbbcd" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ScriptNodeListPtr <a class="el" href="classOgre_1_1ParticleScriptCompiler.html#ac2543cd9540a46055f55357b936cbbcd">Ogre::ParticleScriptCompiler::loadImportPath</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is the override for loading imports. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1ScriptCompiler.html#acc1c276b482415ded5b8117cab0c593d">Ogre::ScriptCompiler</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a88544798bb6d76606494881cabdfa8aa"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::preParse" ref="a88544798bb6d76606494881cabdfa8aa" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ParticleScriptCompiler.html#a88544798bb6d76606494881cabdfa8aa">Ogre::ParticleScriptCompiler::preParse</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Allows a listener to override the word id map before parsing. </p>

</div>
</div>
<a class="anchor" id="a3479f768a79fc00e21f7c9a0631cb53e"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::processNode" ref="a3479f768a79fc00e21f7c9a0631cb53e" args="(ScriptNodeList::iterator &amp;i, ScriptNodeList::iterator &amp;end)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ParticleScriptCompiler.html#a3479f768a79fc00e21f7c9a0631cb53e">Ogre::ParticleScriptCompiler::processNode</a> </td>
          <td>(</td>
          <td class="paramtype">ScriptNodeList::iterator &amp;&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ScriptNodeList::iterator &amp;&#160;</td>
          <td class="paramname"><em>end</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delegates to the listener if it can, otherwise returns false. If it returns true, then some input was consumed. </p>

</div>
</div>
<a class="anchor" id="ae47640d446f9e2efc0a7b91454df810f"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::removeNameExclusion" ref="ae47640d446f9e2efc0a7b91454df810f" args="(const String &amp;type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ScriptCompiler.html#ae47640d446f9e2efc0a7b91454df810f">Ogre::ScriptCompiler::removeNameExclusion</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Removes a name exclusion. </p>

</div>
</div>
<a class="anchor" id="ab81d2b58626fa9606572cb4ae3e588c6"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::setListener" ref="ab81d2b58626fa9606572cb4ae3e588c6" args="(ParticleScriptCompilerListener *listener)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ParticleScriptCompiler.html#ab81d2b58626fa9606572cb4ae3e588c6">Ogre::ParticleScriptCompiler::setListener</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ParticleScriptCompilerListener.html">ParticleScriptCompilerListener</a> *&#160;</td>
          <td class="paramname"><em>listener</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the listener for this compiler. </p>

</div>
</div>
<a class="anchor" id="ad3e0810f50a23557927a3e61c6c4341f"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::setListener" ref="ad3e0810f50a23557927a3e61c6c4341f" args="(ScriptCompilerListener *listener)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ScriptCompiler.html#ad3e0810f50a23557927a3e61c6c4341f">Ogre::ScriptCompiler::setListener</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ScriptCompilerListener.html">ScriptCompilerListener</a> *&#160;</td>
          <td class="paramname"><em>listener</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the listener used by the compiler. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a41ab468ae9def347e43908e86477f5a8"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::mListener" ref="a41ab468ae9def347e43908e86477f5a8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleScriptCompilerListener.html">ParticleScriptCompilerListener</a>* <a class="el" href="classOgre_1_1ParticleScriptCompiler.html#a41ab468ae9def347e43908e86477f5a8">Ogre::ParticleScriptCompiler::mListener</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented from <a class="el" href="classOgre_1_1ScriptCompiler.html#acd108a6c24c307dcdb1f34645a070dfd">Ogre::ScriptCompiler</a>.</p>

<p>Definition at line <a class="el" href="OgreParticleScriptCompiler_8h_source.html#l00082">82</a> of file <a class="el" href="OgreParticleScriptCompiler_8h_source.html">OgreParticleScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab89013d118e6cb745de0e4431a41eeb7"></a><!-- doxytag: member="Ogre::ParticleScriptCompiler::mSystem" ref="ab89013d118e6cb745de0e4431a41eeb7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a>* <a class="el" href="classOgre_1_1ParticleScriptCompiler.html#ab89013d118e6cb745de0e4431a41eeb7">Ogre::ParticleScriptCompiler::mSystem</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreParticleScriptCompiler_8h_source.html#l00085">85</a> of file <a class="el" href="OgreParticleScriptCompiler_8h_source.html">OgreParticleScriptCompiler.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreParticleScriptCompiler_8h_source.html">OgreParticleScriptCompiler.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:01
</p>
</body>
</html>
